ActiveMQConnectionFactory (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.ra.ActiveMQConnectionFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.ra
Class ActiveMQConnectionFactory

    java.lang.Object
      org.codehaus.activemq.ra.ActiveMQConnectionFactory

All Implemented Interfaces:
  ConnectionFactory, QueueConnectionFactory, Referenceable, Referenceable, Serializable, TopicConnectionFactory

public class ActiveMQConnectionFactory
extends Object
implements ConnectionFactory, QueueConnectionFactory, TopicConnectionFactory, Referenceable, Serializable

Version:
  $Revision: 1.8 $
See Also:
  Serialized Form

Constructor Summary
`ActiveMQConnectionFactory(ActiveMQManagedConnectionFactory factory, ConnectionManager manager, ActiveMQConnectionRequestInfo info)`

Method Summary
`Connection` | `createConnection()`
`Connection` | `createConnection(String userName, String password)`
`QueueConnection` | `createQueueConnection()`
`QueueConnection` | `createQueueConnection(String userName, String password)`
`TopicConnection` | `createTopicConnection()`
`TopicConnection` | `createTopicConnection(String userName, String password)`
`Reference` | `getReference()`
`void` | `setReference(Reference reference)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActiveMQConnectionFactory

    public ActiveMQConnectionFactory(ActiveMQManagedConnectionFactory factory,
                                     ConnectionManager manager,
                                     ActiveMQConnectionRequestInfo info)

Parameters:
  `factory` -
  `manager` -
  `info` -

Method Detail

### createConnection

    public Connection createConnection()
                                throws JMSException

  Specified by:
    `createConnection` in interface `ConnectionFactory`
  Throws:
    `JMSException`
  See Also:
    `ConnectionFactory.createConnection()`

### createConnection

    public Connection createConnection(String userName,
                                       String password)
                                throws JMSException

  Specified by:
    `createConnection` in interface `ConnectionFactory`
  Throws:
    `JMSException`
  See Also:
    `ConnectionFactory.createConnection(java.lang.String, java.lang.String)`

### getReference

    public Reference getReference()

  Specified by:
    `getReference` in interface `Referenceable`
  See Also:
    `Referenceable.getReference()`

### setReference

    public void setReference(Reference reference)

  Specified by:
    `setReference` in interface `Referenceable`
  See Also:
    `Referenceable.setReference(javax.naming.Reference)`

### createQueueConnection

    public QueueConnection createQueueConnection()
                                          throws JMSException

  Specified by:
    `createQueueConnection` in interface `QueueConnectionFactory`
  Throws:
    `JMSException`

### createQueueConnection

    public QueueConnection createQueueConnection(String userName,
                                                 String password)
                                          throws JMSException

  Specified by:
    `createQueueConnection` in interface `QueueConnectionFactory`
  Throws:
    `JMSException`

### createTopicConnection

    public TopicConnection createTopicConnection()
                                          throws JMSException

  Specified by:
    `createTopicConnection` in interface `TopicConnectionFactory`
  Throws:
    `JMSException`

### createTopicConnection

    public TopicConnection createTopicConnection(String userName,
                                                 String password)
                                          throws JMSException

  Specified by:
    `createTopicConnection` in interface `TopicConnectionFactory`
  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.